diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/widgets.php ./wordpress-3.3/wp-admin/widgets.php
*** ./wordpress-3.2.1/wp-admin/widgets.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/widgets.php	2011-12-08 11:56:03.000000000 -0600
***************
*** 15,30 ****
  if ( ! current_user_can('edit_theme_options') )
  	wp_die( __( 'Cheatin&#8217; uh?' ));
  
- wp_admin_css( 'widgets' );
- 
  $widgets_access = get_user_setting( 'widgets_access' );
  if ( isset($_GET['widgets-access']) ) {
  	$widgets_access = 'on' == $_GET['widgets-access'] ? 'on' : 'off';
  	set_user_setting( 'widgets_access', $widgets_access );
  }
  
  if ( 'on' == $widgets_access )
! 	add_filter( 'admin_body_class', create_function('', '{return " widgets_access ";}') );
  else
  	wp_enqueue_script('admin-widgets');
  
--- 15,32 ----
  if ( ! current_user_can('edit_theme_options') )
  	wp_die( __( 'Cheatin&#8217; uh?' ));
  
  $widgets_access = get_user_setting( 'widgets_access' );
  if ( isset($_GET['widgets-access']) ) {
  	$widgets_access = 'on' == $_GET['widgets-access'] ? 'on' : 'off';
  	set_user_setting( 'widgets_access', $widgets_access );
  }
  
+ function wp_widgets_access_body_class($classes) {
+ 	return "$classes widgets_access ";
+ }
+ 
  if ( 'on' == $widgets_access )
! 	add_filter( 'admin_body_class', 'wp_widgets_access_body_class' );
  else
  	wp_enqueue_script('admin-widgets');
  
***************
*** 33,138 ****
  $title = __( 'Widgets' );
  $parent_file = 'themes.php';
  
! $help = '
! 	<p>' . __('Widgets are independent sections of content that can be placed into any widgetized area provided by your theme (commonly called sidebars). To populate your sidebars/widget areas with individual widgets, drag and drop the title bars into the desired area. By default, only the first widget area is expanded. To populate additional widget areas, click on their title bars to expand them.') . '</p>
! 	<p>' . __('The Available Widgets section contains all the widgets you can choose from. Once you drag a widget into a sidebar, it will open to allow you to configure its settings. When you are happy with the widget settings, click the Save button and the widget will go live on your site. If you click Delete, it will remove the widget.') . '</p>
! 	<p>' . __('If you want to remove the widget but save its setting for possible future use, just drag it into the Inactive Widgets area. You can add them back anytime from there. This is especially helpful when you switch to a theme with fewer or different widget areas.') . '</p>
  	<p>' . __('Widgets may be used multiple times. You can give each widget a title, to display on your site, but it&#8217;s not required.') . '</p>
! 	<p>' . __('Enabling Accessibility Mode, via Screen Options, allows you to use Add and Edit buttons instead of using drag and drop.') . '</p>
! 	<p>' . __('Many themes show some sidebar widgets by default until you edit your sidebars, but they are not automatically displayed in your sidebar management tool. After you make your first widget change, you can re-add the default widgets by adding them from the Available Widgets area.') . '</p>
! ';
! $help .= '<p><strong>' . __('For more information:') . '</strong></p>';
! $help .= '<p>' . __('<a href="http://codex.wordpress.org/Appearance_Widgets_Screen" target="_blank">Documentation on Widgets</a>') . '</p>';
! $help .= '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>';
! add_contextual_help($current_screen, $help);
! 
! // register the inactive_widgets area as sidebar
! register_sidebar(array(
! 	'name' => __('Inactive Widgets'),
! 	'id' => 'wp_inactive_widgets',
! 	'description' => '',
! 	'before_widget' => '',
! 	'after_widget' => '',
! 	'before_title' => '',
! 	'after_title' => '',
! ));
! 
! // These are the widgets grouped by sidebar
! $sidebars_widgets = wp_get_sidebars_widgets();
! if ( empty( $sidebars_widgets ) )
! 	$sidebars_widgets = wp_get_widget_defaults();
! 
! // look for "lost" widgets, this has to run at least on each theme change
! function retrieve_widgets() {
! 	global $wp_registered_widget_updates, $wp_registered_sidebars, $sidebars_widgets, $wp_registered_widgets;
! 
! 	$_sidebars_widgets = array();
! 	$sidebars = array_keys($wp_registered_sidebars);
! 
! 	unset( $sidebars_widgets['array_version'] );
! 
! 	$old = array_keys($sidebars_widgets);
! 	sort($old);
! 	sort($sidebars);
! 
! 	if ( $old == $sidebars )
! 		return;
! 
! 	// Move the known-good ones first
! 	foreach ( $sidebars as $id ) {
! 		if ( array_key_exists( $id, $sidebars_widgets ) ) {
! 			$_sidebars_widgets[$id] = $sidebars_widgets[$id];
! 			unset($sidebars_widgets[$id], $sidebars[$id]);
! 		}
! 	}
! 
! 	// if new theme has less sidebars than the old theme
! 	if ( !empty($sidebars_widgets) ) {
! 		foreach ( $sidebars_widgets as $lost => $val ) {
! 			if ( is_array($val) )
! 				$_sidebars_widgets['wp_inactive_widgets'] = array_merge( (array) $_sidebars_widgets['wp_inactive_widgets'], $val );
! 		}
! 	}
! 
! 	// discard invalid, theme-specific widgets from sidebars
! 	$shown_widgets = array();
! 	foreach ( $_sidebars_widgets as $sidebar => $widgets ) {
! 		if ( !is_array($widgets) )
! 			continue;
! 
! 		$_widgets = array();
! 		foreach ( $widgets as $widget ) {
! 			if ( isset($wp_registered_widgets[$widget]) )
! 				$_widgets[] = $widget;
! 		}
! 		$_sidebars_widgets[$sidebar] = $_widgets;
! 		$shown_widgets = array_merge($shown_widgets, $_widgets);
! 	}
! 
! 	$sidebars_widgets = $_sidebars_widgets;
! 	unset($_sidebars_widgets, $_widgets);
! 
! 	// find hidden/lost multi-widget instances
! 	$lost_widgets = array();
! 	foreach ( $wp_registered_widgets as $key => $val ) {
! 		if ( in_array($key, $shown_widgets, true) )
! 			continue;
! 
! 		$number = preg_replace('/.+?-([0-9]+)$/', '$1', $key);
! 
! 		if ( 2 > (int) $number )
! 			continue;
! 
! 		$lost_widgets[] = $key;
! 	}
! 
! 	$sidebars_widgets['wp_inactive_widgets'] = array_merge($lost_widgets, (array) $sidebars_widgets['wp_inactive_widgets']);
! 	wp_set_sidebars_widgets($sidebars_widgets);
! }
! retrieve_widgets();
  
! if ( count($wp_registered_sidebars) == 1 ) {
! 	// If only "wp_inactive_widgets" is defined the theme has no sidebars, die.
  	require_once( './admin-header.php' );
  ?>
  
--- 35,71 ----
  $title = __( 'Widgets' );
  $parent_file = 'themes.php';
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . __('Widgets are independent sections of content that can be placed into any widgetized area provided by your theme (commonly called sidebars). To populate your sidebars/widget areas with individual widgets, drag and drop the title bars into the desired area. By default, only the first widget area is expanded. To populate additional widget areas, click on their title bars to expand them.') . '</p>
! 	<p>' . __('The Available Widgets section contains all the widgets you can choose from. Once you drag a widget into a sidebar, it will open to allow you to configure its settings. When you are happy with the widget settings, click the Save button and the widget will go live on your site. If you click Delete, it will remove the widget.') . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'removing-reusing',
! 'title'		=> __('Removing and Reusing'),
! 'content'	=>
! 	'<p>' . __('If you want to remove the widget but save its setting for possible future use, just drag it into the Inactive Widgets area. You can add them back anytime from there. This is especially helpful when you switch to a theme with fewer or different widget areas.') . '</p>
  	<p>' . __('Widgets may be used multiple times. You can give each widget a title, to display on your site, but it&#8217;s not required.') . '</p>
! 	<p>' . __('Enabling Accessibility Mode, via Screen Options, allows you to use Add and Edit buttons instead of using drag and drop.') . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'missing-widgets',
! 'title'		=> __('Missing Widgets'),
! 'content'	=>
! 	'<p>' . __('Many themes show some sidebar widgets by default until you edit your sidebars, but they are not automatically displayed in your sidebar management tool. After you make your first widget change, you can re-add the default widgets by adding them from the Available Widgets area.') . '</p>' .
! 		'<p>' . __('When changing themes, there is often some variation in the number and setup of widget areas/sidebars and sometimes these conflicts make the transition a bit less smooth. If you changed themes and seem to be missing widgets, scroll down on this screen to the Inactive area, where all your widgets and their settings will have been saved.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
! 	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Appearance_Widgets_Screen" target="_blank">Documentation on Widgets</a>') . '</p>' .
! 	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! );
  
! if ( empty($wp_registered_sidebars) ) {
! 	// the theme has no sidebars, die.
  	require_once( './admin-header.php' );
  ?>
  
***************
*** 150,155 ****
--- 83,130 ----
  	exit;
  }
  
+ // These are the widgets grouped by sidebar
+ $sidebars_widgets = wp_get_sidebars_widgets();
+ 
+ if ( empty( $sidebars_widgets ) )
+ 	$sidebars_widgets = wp_get_widget_defaults();
+ 
+ foreach ( $sidebars_widgets as $sidebar_id => $widgets ) {
+ 	if ( 'wp_inactive_widgets' == $sidebar_id )
+ 		continue;
+ 
+ 	if ( !isset( $wp_registered_sidebars[ $sidebar_id ] ) ) {
+ 		if ( ! empty( $widgets ) ) { // register the inactive_widgets area as sidebar
+ 			register_sidebar(array(
+ 				'name' => __( 'Inactive Sidebar (not used)' ),
+ 				'id' => $sidebar_id,
+ 				'class' => 'inactive-sidebar orphan-sidebar',
+ 				'description' => __( 'This sidebar is no longer available and does not show anywhere on your site. Remove each of the widgets below to fully remove this inactive sidebar.' ),
+ 				'before_widget' => '',
+ 				'after_widget' => '',
+ 				'before_title' => '',
+ 				'after_title' => '',
+ 			));
+ 		} else {
+ 			unset( $sidebars_widgets[ $sidebar_id ] );
+ 		}
+ 	}
+ }
+ 
+ // register the inactive_widgets area as sidebar
+ register_sidebar(array(
+ 	'name' => __('Inactive Widgets'),
+ 	'id' => 'wp_inactive_widgets',
+ 	'class' => 'inactive-sidebar',
+ 	'description' => __( 'Drag widgets here to remove them from the sidebar but keep their settings.' ),
+ 	'before_widget' => '',
+ 	'after_widget' => '',
+ 	'before_title' => '',
+ 	'after_title' => '',
+ ));
+ 
+ retrieve_widgets();
+ 
  // We're saving a widget without js
  if ( isset($_POST['savewidget']) || isset($_POST['removewidget']) ) {
  	$widget_id = $_POST['widget-id'];
***************
*** 279,285 ****
  <?php
  	foreach ( $wp_registered_sidebars as $sbname => $sbvalue ) {
  		echo "\t\t<tr><td><label><input type='radio' name='sidebar' value='" . esc_attr($sbname) . "'" . checked( $sbname, $sidebar, false ) . " /> $sbvalue[name]</label></td><td>";
! 		if ( 'wp_inactive_widgets' == $sbname ) {
  			echo '&nbsp;';
  		} else {
  			if ( !isset($sidebars_widgets[$sbname]) || !is_array($sidebars_widgets[$sbname]) ) {
--- 254,260 ----
  <?php
  	foreach ( $wp_registered_sidebars as $sbname => $sbvalue ) {
  		echo "\t\t<tr><td><label><input type='radio' name='sidebar' value='" . esc_attr($sbname) . "'" . checked( $sbname, $sidebar, false ) . " /> $sbvalue[name]</label></td><td>";
! 		if ( 'wp_inactive_widgets' == $sbname || 'orphaned_widgets' == substr( $sbname, 0, 16 ) ) {
  			echo '&nbsp;';
  		} else {
  			if ( !isset($sidebars_widgets[$sbname]) || !is_array($sidebars_widgets[$sbname]) ) {
***************
*** 368,384 ****
  		<br class="clear" />
  	</div>
  
! 	<div class="widgets-holder-wrap">
! 		<div class="sidebar-name">
! 		<div class="sidebar-name-arrow"><br /></div>
! 		<h3><?php _e('Inactive Widgets'); ?>
! 		<span><img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-feedback" title="" alt="" /></span></h3></div>
! 		<div class="widget-holder inactive">
! 		<p class="description"><?php _e('Drag widgets here to remove them from the sidebar but keep their settings.'); ?></p>
! 		<?php wp_list_widget_controls('wp_inactive_widgets'); ?>
! 		<br class="clear" />
  		</div>
! 	</div>
  </div>
  </div>
  
--- 343,374 ----
  		<br class="clear" />
  	</div>
  
! <?php
! foreach ( $wp_registered_sidebars as $sidebar => $registered_sidebar ) {
! 	if ( false !== strpos( $registered_sidebar['class'], 'inactive-sidebar' ) || 'orphaned_widgets' == substr( $sidebar, 0, 16 ) ) {
! 		$wrap_class = 'widgets-holder-wrap';
! 		if ( !empty( $registered_sidebar['class'] ) )
! 			$wrap_class .= ' ' . $registered_sidebar['class'];
! 
! ?>
! 
! 		<div class="<?php echo esc_attr( $wrap_class ); ?>">
! 			<div class="sidebar-name">
! 				<div class="sidebar-name-arrow"><br /></div>
! 				<h3><?php echo esc_html( $registered_sidebar['name'] ); ?>
! 					<span><img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-feedback" title="" alt="" /></span>
! 				</h3>
! 			</div>
! 			<div class="widget-holder inactive">
! 				<?php wp_list_widget_controls( $registered_sidebar['id'] ); ?>
! 				<br class="clear" />
! 			</div>
  		</div>
! <?php
! 	}
! }
! ?>
! 
  </div>
  </div>
  
***************
*** 387,396 ****
  <?php
  $i = 0;
  foreach ( $wp_registered_sidebars as $sidebar => $registered_sidebar ) {
! 	if ( 'wp_inactive_widgets' == $sidebar )
  		continue;
! 	$closed = $i ? ' closed' : ''; ?>
! 	<div class="widgets-holder-wrap<?php echo $closed; ?>">
  	<div class="sidebar-name">
  	<div class="sidebar-name-arrow"><br /></div>
  	<h3><?php echo esc_html( $registered_sidebar['name'] ); ?>
--- 377,393 ----
  <?php
  $i = 0;
  foreach ( $wp_registered_sidebars as $sidebar => $registered_sidebar ) {
! 	if ( false !== strpos( $registered_sidebar['class'], 'inactive-sidebar' ) || 'orphaned_widgets' == substr( $sidebar, 0, 16 ) )
  		continue;
! 
! 	$wrap_class = 'widgets-holder-wrap';
! 	if ( !empty( $registered_sidebar['class'] ) )
! 		$wrap_class .= ' sidebar-' . $registered_sidebar['class'];
! 
! 	if ( $i )
! 		$wrap_class .= ' closed'; ?>
! 
! 	<div class="<?php echo esc_attr( $wrap_class ); ?>">
  	<div class="sidebar-name">
  	<div class="sidebar-name-arrow"><br /></div>
  	<h3><?php echo esc_html( $registered_sidebar['name'] ); ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-app.php ./wordpress-3.3/wp-app.php
*** ./wordpress-3.2.1/wp-app.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-app.php	2011-10-28 10:48:44.000000000 -0500
***************
*** 223,229 ****
  	 */
  	function __construct() {
  
! 		$this->script_name = array_pop( explode( '/', $_SERVER['SCRIPT_NAME'] ) );
  		$this->app_base = site_url( $this->script_name . '/' );
  
  		$this->selectors = array(
--- 223,230 ----
  	 */
  	function __construct() {
  
! 		$var_by_ref = explode( '/', $_SERVER['SCRIPT_NAME'] );
! 		$this->script_name = array_pop( $var_by_ref );
  		$this->app_base = site_url( $this->script_name . '/' );
  
  		$this->selectors = array(
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-comments-post.php ./wordpress-3.3/wp-comments-post.php
*** ./wordpress-3.2.1/wp-comments-post.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-comments-post.php	2011-09-30 12:18:35.000000000 -0500
***************
*** 75,87 ****
  
  if ( get_option('require_name_email') && !$user->ID ) {
  	if ( 6 > strlen($comment_author_email) || '' == $comment_author )
! 		wp_die( __('Error: please fill the required fields (name, email).') );
  	elseif ( !is_email($comment_author_email))
! 		wp_die( __('Error: please enter a valid email address.') );
  }
  
  if ( '' == $comment_content )
! 	wp_die( __('Error: please type a comment.') );
  
  $comment_parent = isset($_POST['comment_parent']) ? absint($_POST['comment_parent']) : 0;
  
--- 75,87 ----
  
  if ( get_option('require_name_email') && !$user->ID ) {
  	if ( 6 > strlen($comment_author_email) || '' == $comment_author )
! 		wp_die( __('<strong>ERROR</strong>: please fill the required fields (name, email).') );
  	elseif ( !is_email($comment_author_email))
! 		wp_die( __('<strong>ERROR</strong>: please enter a valid email address.') );
  }
  
  if ( '' == $comment_content )
! 	wp_die( __('<strong>ERROR</strong>: please type a comment.') );
  
  $comment_parent = isset($_POST['comment_parent']) ? absint($_POST['comment_parent']) : 0;
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/archive.php ./wordpress-3.3/wp-content/themes/twentyeleven/archive.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/archive.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/archive.php	2011-11-10 12:37:20.000000000 -0600
***************
*** 24,32 ****
  						<?php if ( is_day() ) : ?>
  							<?php printf( __( 'Daily Archives: %s', 'twentyeleven' ), '<span>' . get_the_date() . '</span>' ); ?>
  						<?php elseif ( is_month() ) : ?>
! 							<?php printf( __( 'Monthly Archives: %s', 'twentyeleven' ), '<span>' . get_the_date( 'F Y' ) . '</span>' ); ?>
  						<?php elseif ( is_year() ) : ?>
! 							<?php printf( __( 'Yearly Archives: %s', 'twentyeleven' ), '<span>' . get_the_date( 'Y' ) . '</span>' ); ?>
  						<?php else : ?>
  							<?php _e( 'Blog Archives', 'twentyeleven' ); ?>
  						<?php endif; ?>
--- 24,32 ----
  						<?php if ( is_day() ) : ?>
  							<?php printf( __( 'Daily Archives: %s', 'twentyeleven' ), '<span>' . get_the_date() . '</span>' ); ?>
  						<?php elseif ( is_month() ) : ?>
! 							<?php printf( __( 'Monthly Archives: %s', 'twentyeleven' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'twentyeleven' ) ) . '</span>' ); ?>
  						<?php elseif ( is_year() ) : ?>
! 							<?php printf( __( 'Yearly Archives: %s', 'twentyeleven' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'twentyeleven' ) ) . '</span>' ); ?>
  						<?php else : ?>
  							<?php _e( 'Blog Archives', 'twentyeleven' ); ?>
  						<?php endif; ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/content-gallery.php ./wordpress-3.3/wp-content/themes/twentyeleven/content-gallery.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/content-gallery.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/content-gallery.php	2011-11-21 09:40:13.000000000 -0600
***************
*** 84,90 ****
  		<?php if ( $show_sep ) : ?>
  		<span class="sep"> | </span>
  		<?php endif; // End if $show_sep ?>
! 		<span class="comments-link"><?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a Reply', 'twentyeleven' ) . '</span>', __( '<b>1</b> Reply', 'twentyeleven' ), __( '<b>%</b> Replies', 'twentyeleven' ) ); ?></span>
  		<?php endif; // End if comments_open() ?>
  
  		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
--- 84,90 ----
  		<?php if ( $show_sep ) : ?>
  		<span class="sep"> | </span>
  		<?php endif; // End if $show_sep ?>
! 		<span class="comments-link"><?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a reply', 'twentyeleven' ) . '</span>', __( '<b>1</b> Reply', 'twentyeleven' ), __( '<b>%</b> Replies', 'twentyeleven' ) ); ?></span>
  		<?php endif; // End if comments_open() ?>
  
  		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/content-image.php ./wordpress-3.3/wp-content/themes/twentyeleven/content-image.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/content-image.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/content-image.php	2011-12-10 13:18:51.000000000 -0600
***************
*** 36,42 ****
  						get_the_date( 'c' ),
  						get_the_date(),
  						esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
! 						sprintf( esc_attr__( 'View all posts by %s', 'twentyeleven' ), get_the_author() ),
  						get_the_author()
  					);
  				?>
--- 36,42 ----
  						get_the_date( 'c' ),
  						get_the_date(),
  						esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
! 						esc_attr( sprintf( __( 'View all posts by %s', 'twentyeleven' ), get_the_author() ) ),
  						get_the_author()
  					);
  				?>
***************
*** 61,67 ****
  				<?php endif; // End if $tags_list ?>
  
  				<?php if ( comments_open() ) : ?>
! 				<span class="comments-link"><?php comments_popup_link( '<span class="leave-reply">' . __( 'Reply', 'twentyeleven' ) . '</span>', __( '<strong>1</strong> Reply', 'twentyeleven' ), __( '<strong>%</strong> Replies', 'twentyeleven' ) ); ?></span>
  				<?php endif; // End if comments_open() ?>
  			</div><!-- .entry-meta -->
  
--- 61,67 ----
  				<?php endif; // End if $tags_list ?>
  
  				<?php if ( comments_open() ) : ?>
! 				<span class="comments-link"><?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a reply', 'twentyeleven' ) . '</span>', __( '<b>1</b> Reply', 'twentyeleven' ), __( '<b>%</b> Replies', 'twentyeleven' ) ); ?></span>
  				<?php endif; // End if comments_open() ?>
  			</div><!-- .entry-meta -->
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/content-single.php ./wordpress-3.3/wp-content/themes/twentyeleven/content-single.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/content-single.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/content-single.php	2011-12-10 13:43:49.000000000 -0600
***************
*** 51,63 ****
  		?>
  		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
  
! 		<?php if ( get_the_author_meta( 'description' ) && is_multi_author() ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries ?>
  		<div id="author-info">
  			<div id="author-avatar">
  				<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyeleven_author_bio_avatar_size', 68 ) ); ?>
  			</div><!-- #author-avatar -->
  			<div id="author-description">
! 				<h2><?php printf( esc_attr__( 'About %s', 'twentyeleven' ), get_the_author() ); ?></h2>
  				<?php the_author_meta( 'description' ); ?>
  				<div id="author-link">
  					<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
--- 51,63 ----
  		?>
  		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
  
! 		<?php if ( get_the_author_meta( 'description' ) && ( ! function_exists( 'is_multi_author' ) || is_multi_author() ) ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries ?>
  		<div id="author-info">
  			<div id="author-avatar">
  				<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyeleven_author_bio_avatar_size', 68 ) ); ?>
  			</div><!-- #author-avatar -->
  			<div id="author-description">
! 				<h2><?php printf( __( 'About %s', 'twentyeleven' ), get_the_author() ); ?></h2>
  				<?php the_author_meta( 'description' ); ?>
  				<div id="author-link">
  					<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/footer.php ./wordpress-3.3/wp-content/themes/twentyeleven/footer.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/footer.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/footer.php	2011-11-18 22:16:39.000000000 -0600
***************
*** 18,24 ****
  				/* A sidebar in the footer? Yep. You can can customize
  				 * your footer with three columns of widgets.
  				 */
! 				get_sidebar( 'footer' );
  			?>
  
  			<div id="site-generator">
--- 18,25 ----
  				/* A sidebar in the footer? Yep. You can can customize
  				 * your footer with three columns of widgets.
  				 */
! 				if ( ! is_404() )
! 					get_sidebar( 'footer' );
  			?>
  
  			<div id="site-generator">
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/functions.php ./wordpress-3.3/wp-content/themes/twentyeleven/functions.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/functions.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/functions.php	2011-12-10 13:18:51.000000000 -0600
***************
*** 78,87 ****
  	 * If you're building a theme based on Twenty Eleven, use a find and replace
  	 * to change 'twentyeleven' to the name of your theme in all the template files.
  	 */
! 	load_theme_textdomain( 'twentyeleven', TEMPLATEPATH . '/languages' );
  
  	$locale = get_locale();
! 	$locale_file = TEMPLATEPATH . "/languages/$locale.php";
  	if ( is_readable( $locale_file ) )
  		require_once( $locale_file );
  
--- 78,87 ----
  	 * If you're building a theme based on Twenty Eleven, use a find and replace
  	 * to change 'twentyeleven' to the name of your theme in all the template files.
  	 */
! 	load_theme_textdomain( 'twentyeleven', get_template_directory() . '/languages' );
  
  	$locale = get_locale();
! 	$locale_file = get_template_directory() . "/languages/$locale.php";
  	if ( is_readable( $locale_file ) )
  		require_once( $locale_file );
  
***************
*** 89,98 ****
  	add_editor_style();
  
  	// Load up our theme options page and related code.
! 	require( dirname( __FILE__ ) . '/inc/theme-options.php' );
  
  	// Grab Twenty Eleven's Ephemera widget.
! 	require( dirname( __FILE__ ) . '/inc/widgets.php' );
  
  	// Add default posts and comments RSS feed links to <head>.
  	add_theme_support( 'automatic-feed-links' );
--- 89,98 ----
  	add_editor_style();
  
  	// Load up our theme options page and related code.
! 	require( get_template_directory() . '/inc/theme-options.php' );
  
  	// Grab Twenty Eleven's Ephemera widget.
! 	require( get_template_directory() . '/inc/widgets.php' );
  
  	// Add default posts and comments RSS feed links to <head>.
  	add_theme_support( 'automatic-feed-links' );
***************
*** 421,426 ****
--- 421,427 ----
  }
  add_action( 'widgets_init', 'twentyeleven_widgets_init' );
  
+ if ( ! function_exists( 'twentyeleven_content_nav' ) ) :
  /**
   * Display navigation to next/previous pages when applicable
   */
***************
*** 435,440 ****
--- 436,442 ----
  		</nav><!-- #nav-above -->
  	<?php endif;
  }
+ endif; // twentyeleven_content_nav
  
  /**
   * Return the URL for the first link found in the post content.
***************
*** 565,572 ****
  		esc_attr( get_the_date( 'c' ) ),
  		esc_html( get_the_date() ),
  		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
! 		sprintf( esc_attr__( 'View all posts by %s', 'twentyeleven' ), get_the_author() ),
! 		esc_html( get_the_author() )
  	);
  }
  endif;
--- 567,574 ----
  		esc_attr( get_the_date( 'c' ) ),
  		esc_html( get_the_date() ),
  		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
! 		esc_attr( sprintf( __( 'View all posts by %s', 'twentyeleven' ), get_the_author() ) ),
! 		get_the_author()
  	);
  }
  endif;
***************
*** 580,588 ****
   */
  function twentyeleven_body_classes( $classes ) {
  
! 	if ( ! is_multi_author() ) {
  		$classes[] = 'single-author';
- 	}
  
  	if ( is_singular() && ! is_home() && ! is_page_template( 'showcase.php' ) && ! is_page_template( 'sidebar-page.php' ) )
  		$classes[] = 'singular';
--- 582,589 ----
   */
  function twentyeleven_body_classes( $classes ) {
  
! 	if ( function_exists( 'is_multi_author' ) && ! is_multi_author() )
  		$classes[] = 'single-author';
  
  	if ( is_singular() && ! is_home() && ! is_page_template( 'showcase.php' ) && ! is_page_template( 'sidebar-page.php' ) )
  		$classes[] = 'singular';
